Subject: bug#37015: man link gives me car: Variable binding depth exceeds max-specpdl-size

From: Robert Weiner <[email-masked]>
Date: Sun, 18 Aug 2019 13:34:33 -0400

On Tue, Aug 13, 2019 at 3:50 AM Jean Louis <[email-masked]> wrote:

> * Robert Weiner <[email-masked]> [2019-08-13 04:12]:
> > On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <[email-masked]> wrote:
> >
> > > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > > toolkit, Xaw3d scroll bars)
> > >
> > >         Hyperbole:   7.0.3a
> > >         Sys Type:    x86_64-pc-linux-gnu
> > >         OS Type:     gnu/linux
> > >         Window Sys:  x
> > >         News Reader: Gnus v5.13
> > >
> > > <(Read)> executes (man-show grep)
> > >
> >
> > Where is man-show defined.  I don't have it in Emacs 26.  Using the same
> > Emacs version as you but under MacOS.
>
> It is in Hyperbola 7.0.3 I guess, also 7.0.3a I guess only, as I
> removed 7.0.3a for a while, will get it later again.
>
> (defact man-show (topic)
>   "Displays man page on TOPIC, which may be of the form
> <command>(<section>).
> If using the Superman manual entry package, see the documentation for
> `sm-notify' to control where the man page is displayed."
>   (interactive "sManual topic: ")
>   (let ((display-buffer-function
>          (lambda (buffer &rest unused) (hpath:display-buffer buffer))))
>     (manual-entry topic)))
>
> > Invoking man grep in the background
> > > if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
> > > unspecified-bg
> > > Unable to load color unspecified-fg
> > > car: Variable binding depth exceeds max-specpdl-size
> > > next-line: End of buffer
> > >
> > > Seems like you have loaded something outside of Hyperbole that has
> caused
> > an infinite loop, maybe improperly overloading a standard man function.
> >
> > Try starting with no initializations and then loading Hyperbole manually.
>
> I have tried with emacs -Q on version 7.0.3 and I get the same. I do
> not load nothing else but (package-initialize) and (require
> 'hyperbole)
>
> For information about GNU Emacs and the GNU system, type C-h C-a.
> C-x C-g is undefined
> nil
> Initializing Hyperbole...done
> Hyperbole 7.0.3 is ready for action.
> hyperbole
> (New file) [2 times]
> <(Read manual)> executes (man-show "mc")
> Saving file /home/data1/protected/new1.text...
> Saving file /home/data1/protected/.hypb...
> Wrote /home/data1/protected/.hypb
> Wrote /home/data1/protected/new1.text
>

None of the above saving should be happening when you invoke this explicit
button, so you have something else that is triggering I would think.

> Waiting for git... [2 times]
>

Why is git involved?  Hyperbole does not invoke that.

> Invoking man mc in the background
> switch-to-buffer-other-window: Variable binding depth exceeds
> max-specpdl-size
>

What happens if you call (manual-entry "grep") without loading Hyperbole?
Does it work or fail?

Bob